<template>
	<div class="az-content-header d-block d-md-flex">
        <div class="az-content-title mg-b-5 mg-b-lg-8">
          <h4 class="">{{some}}</h4>
          <p class="mg-b-0">{{location}}</p>
        </div>
         <div v-if="create" class="mg-b-2 mg-b-lg-4">
              <div class="col text-right ">
                  	<a @click="showModal" class="text-secondary"><i class="fas fa-plus-square fa-3x"></i></a>
                  
              </div>
          </div>
</div><!-- az-content-header -->
</template>
<script>
  // Importamos JQuery
  const $ = require('jquery')
  // Lo declaramos globalmente
  window.$ = $
  export default {
  	props:['some','location','create','refsp'],
    data:function () {
    	
    	return {}
    },
     methods: {
		 showModal:function(){
      console.log(this.$parent.$refs[this.refsp])
		 	this.$parent.$refs[this.refsp].visible = true
      $("#modalSetSchedule").modal('show')
		 }    	
     },
    mounted(){
       
    }
  }
</script>

